@font-face {
  font-family: BeVietNamPro;
  src: url("/assets/BeVietnamPro-Medium-bSRcFcK1.ttf");
}

:root {
  font-family: BeVietNamPro, Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;
  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background-color: #F5F5F5;
}

* {
  font-family: BeVietNamPro, Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
}

body {
  margin: 0;
  display: flex;
  place-items: center;
  height: 100dvh;
  position:relative;
  overflow-y: hidden;
  overflow-x: hidden;
}#root {
  max-width: 1280px;
  margin: 0 auto;
  text-align: center;
}

input {
  background-color: #F9F9F9;
}

input:focus {
  border-color: #ce3131 !important;
  border-style: solid;
  outline: none !important;
}

textarea {
  background-color: #F9F9F9;
  resize: none;
}

textarea:focus {
  border-color: #ce3131 !important;
  outline: none !important;
}.dashboard-container {
    background-color: white;
    box-shadow: 4px 4px 5px rgb(103, 103, 103);
    width: 70vw;
    height: 68vh;
    border-radius: 4px;
    position: relative;
    max-width: 900px;
    max-height: 800px;
}

.dashboard-container .dashboard-items {
    display: flex;
    flex-direction: column;
    height: 52vh;
    overflow-y: scroll;
}

.dashboard-container h1 {
    background-color: #FBBF24;
    height: 90px;
    font-size: 25px;
    place-content: center;
    border-radius: 4px;
}

.dashboard-container .dashboard-items iframe {
    width: 80%;
    margin: auto;
    margin-top: 10px;
    height: 300px;
    flex: 6
}

.dashboard-container .dashboard-items .reservation-btn {
    color: white;
    background-color: #B71A1A;
    width: 200px;
    place-content: center;
    height: 50px;
    border-radius: 10px;
    cursor: pointer;
    box-shadow: 3px 3px 3px rgb(195, 195, 195);
    font-size: 20px;
    font-weight: 600;
    margin: auto;
    margin-top: 15px;
    max-width: 100%;
    flex: 1.2;
    margin-bottom: 10px;
    border: gray solid 1px;
}

.dashboard-container .dashboard-items .reservation-btn:hover {
    background-color: #aa1212;
}

.dashboard-container .admin-btn {
    font-size: 18px;
    position: absolute;
    right: 15px;
    bottom: 5px;
    cursor: pointer;
    text-decoration: underline;
    color: #F57547;
}

.dashboard-container .back-arrow-container {
    position: absolute;
    bottom: 5px;
    left: 15px;
    font-size: 30px;
    cursor: pointer;
    padding: 3px;
}

.dashboard-container .back-arrow-container .back-arrow {
    font-size: 30px;
}

.overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: black;
    opacity: 30%;
    box-shadow: 4px 4px 5px rgb(103, 103, 103);
    width: 100vw;
    height: 120vh;
    border-radius: 6px;
    z-index: 1;
}

.password-popup-container {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    box-shadow: 4px 4px 5px rgb(103, 103, 103);
    width: 300px;
    height: 170px;
    border-radius: 6px;
    z-index: 2;
}

.password-popup-container .close-btn {
    position: absolute;
    padding: 5px;
    cursor: pointer;
}

.password-popup-container p {
    font-size: 18px;
    margin-top: 25px;
    margin-bottom: 5px;
}

.password-popup-container input {
    font-size: 18px;
    width: 150px;
    margin: auto;
    margin-top: 0px;
}

.password-popup-container button {
    color: white;
    background-color: #B71A1A;
    width: 90px;
    height: 33px;
    margin: auto;
    border-radius: 10px;
    cursor: pointer;
    font-size: 15px;
    font-weight: 600;
    box-shadow: 2px 2px 3px lightgray;
    border: none;
}

@media only screen and (max-width: 600px) {
    .dashboard-container {
        width: 90vw;
    }
    .dashboard-container h1 {
        height: 60px;
        font-size: 20px;
    }
    .dashboard-container .dashboard-items .reservation-btn {
        width: 150px;
        height: 40px;
        font-size: 17px;
    }
    .dashboard-container .dashboard-items iframe {
        width: 90%;
    }
}

@media only screen and (max-width: 400px) {
    .dashboard-container {
        width: 99vw;
    }
    .dashboard-container h1 {
        height: 60px;
        font-size: 20px;
        margin-bottom: 0;
    }
}

.password-popup-container .error-msg {
    margin: 0;
    color: #F57547;
    font-size: 16px;
}

.password-popup-container .loader {
    margin: auto;
    margin-top: 0px;
    width: 25px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: 
      radial-gradient(farthest-side,#FBBF24 94%,#0000) top/5px 5px no-repeat,
      conic-gradient(#0000 30%,#FBBF24);
    -webkit-mask: radial-gradient(farthest-side,#0000 calc(100% - 5px),#000 0);
    mask: radial-gradient(farthest-side, #0000 calc(100% - 5px), #000 0);
    animation: l13 1s infinite linear;
  }
  @keyframes l13{ 
    100%{transform: rotate(1turn)}
  }.email-form-container {
    background-color: white;
    box-shadow: 4px 4px 5px rgb(103, 103, 103);
    width: 60vw;
    height: 55vh;
    border-radius: 4px;
    position: relative;
    max-height: 500px;
    max-width: 700px;
}

.email-form-container h1 {
    background-color: #FBBF24;
    height: 90px;
    font-size: 25px;
    place-content: center;
    border-radius: 4px;
}

.email-form-container p {
    font-size: 17px;
    margin-top: 7vh;
}

.email-form-container form {
    display: flex;
    flex-direction: column;
    align-items: center;
    place-content: center;
    max-width: 100%;
}

.email-form-container form .input {
    display: flex;
    flex-direction: row;
    align-items: center;
    place-content: center;
    margin-bottom: 12px;
}

.email-form-container form .input .mail-icon {
    opacity: 80%;
    font-size: 27px;
}

.email-form-container form .input input {
    width: 200px;
    height: 20px;
    font-size: 17px;
    margin-left: 5px;
    padding: 8px;
}

.email-form-container form input::placeholder {
    font-weight: 450;
    color: black;
    opacity: 50%;
}

.email-form-container form .error-msg {
    margin: 0;
    color: #F57547;
    font-size: 16px;
}

.email-form-container .next-btn {
    color: white;
    background-color: #B71A1A;
    width: 100px;
    height: 50px;
    place-content: center;
    border-radius: 10px;
    position: absolute;
    bottom: 15px;
    right: 15px;
    cursor: pointer;
    box-shadow: 2px 2px 3px lightgray;
    font-size: 22px;
    font-weight: 600;
    border: none;
}

.email-form-container .next-btn:hover {
    background-color: #ac1414;
}

@media only screen and (max-width: 600px) {
    .email-form-container {
        width: 80vw;
    }

    .email-form-container h1 {
        height: 70px;
        font-size: 20px;
    }
}

@media only screen and (max-width: 330px) {
    .email-form-container {
        width: 90vw;
    }
    .email-form-container form .input input {
        width: 150px;
    }
}

.email-form-container .loader {
    margin: auto;
    margin-top: 50px;
    width: 50px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: 
      radial-gradient(farthest-side,#FBBF24 94%,#0000) top/8px 8px no-repeat,
      conic-gradient(#0000 30%,#FBBF24);
    -webkit-mask: radial-gradient(farthest-side,#0000 calc(100% - 8px),#000 0);
    mask: radial-gradient(farthest-side, #0000 calc(100% - 8px), #000 0);
    animation: l13 1s infinite linear;
  }
  @keyframes l13{ 
    100%{transform: rotate(1turn)}
  }.room-reservation-form-container {
    background-color: white;
    box-shadow: 4px 4px 5px rgb(103, 103, 103);
    width: 70vw;
    height: 72vh;
    border-radius: 4px;
    max-width: 900px;
    max-height: 800px;
}

@media only screen and (max-width: 800px) {
    .room-reservation-form-container {
        width: 90vw;
    }
}

.room-reservation-form-container h1 {
    background-color: #FBBF24;
    height: 90px;
    font-size: 25px;
    place-content: center;
    border-radius: 4px;
}

.room-reservation-form-container .form-container {
    width: 90%;
    height:65%;
    box-shadow: 1px 1px 5px gray inset;
    margin: auto;
    overflow: scroll;
}

.room-reservation-form-container .form-container .maps-btn{
    text-decoration: underline;
    text-align: center;
    font-size: 20px;
    padding: 5px;
    cursor: pointer;
}
.room-reservation-form-container .form-container form {
    padding-bottom: 50px;
}

.room-reservation-form-container .form-container form {
    width: 90%;
    margin: auto;
}



.room-reservation-form-container .form-container form .select-room-dropdown-container {
    margin: auto;
    margin-bottom: 10px;
    margin-top: 10px;
    text-align: left;
}

.room-reservation-form-container .form-container form .select-room-dropdown-container label {
    opacity: 70%;
    font-size: 16px;
    text-align: left;
}




.room-reservation-form-container .form-container form .date-input-container {
    display: flex;
    flex-direction: row;
    width: 100%;
}

.room-reservation-form-container .form-container form .date-input-container .date-input {
    display: flex;
    flex-direction: column;
    margin-top: 15px;
}

.room-reservation-form-container .form-container form .date-input-container .date-input label {
    opacity: 70%;
    font-size: 16px;
    text-align: left;
}

.room-reservation-form-container .form-container form .date-time-input-container .date-time-input .input {
    margin-top: 22px;
}




.room-reservation-form-container .form-container form .time-input-container {
    margin-top: 20px;
    display: flex;
    flex-direction: row;
    width: 100%;
}

.room-reservation-form-container .form-container form .time-input-container .time-input {
    margin-top: 20px;
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
    margin-right: 10px;
}

.room-reservation-form-container .form-container form .time-input-container .time-input label {
    opacity: 70%;
    text-align: left;
}

.room-reservation-form-container .form-container form .time-input-container input {
    height: 40px;
    font-size: 20px;
    border: none;
    border-bottom: 3px solid black;
}





.room-reservation-form-container .form-container form .group-input {
    width: 100%;
    margin: auto;
    margin-top: 15px;
    display: flex;
    flex-direction: column;
}

.room-reservation-form-container .form-container form .group-input label {
    float: left;
    text-align: left;
    opacity: 70%;
    font-size: 16px;
}

.room-reservation-form-container .form-container form .group-input .input {
    height: 40px;
    width: 300px;
    max-width: 100%;
    border: none;
    border-bottom: 3px solid black;
    color: black;
    font-size: 20px;
    padding: 5px;
}




.room-reservation-form-container .form-container form .purpose-input {
    width: 100%;
    margin: auto;
    margin-top: 15px;
}

.room-reservation-form-container .form-container form .purpose-input label {
    float: left;
    text-align: left;
    opacity: 70%;
    font-size: 16px;
}

.room-reservation-form-container .form-container form .purpose-input .input {
    height: 80px;
    width: 100%;
    border: none;
    border-bottom: 3px solid black;
    color: black;
    font-size: 20px;
    padding: 5px;
}



.room-reservation-form-container .form-container form .requestor-info-container {
    width: 100%;
    margin: auto;
    margin-top: 35px;
}
.room-reservation-form-container .form-container form .requestor-info-container .requestor-info {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}
.room-reservation-form-container .form-container form .requestor-info-container .requestor-info .requestor-info-input {
    width: 40%;
    margin: auto;
    margin-bottom: 40px;
}

.room-reservation-form-container .form-container form .requestor-info-container .requestor-info .requestor-info-input label {
    float: left;
    text-align: left;
    opacity: 70%;
    font-size: 16px;
}

.room-reservation-form-container .form-container form .requestor-info-container .requestor-info .requestor-info-input .input {
    height: 40px;
    width: 100%;
    border: none;
    border-bottom: 3px solid black;
    color: black;
    font-size: 20px;
    padding: 5px;
}




.room-reservation-form-container .form-container form .additional-info-container {
    width: 100%;
    margin: auto;
    margin-top: 35px;
}

.room-reservation-form-container .form-container form .additional-info-container
 label {
    float: left;
    text-align: left;
    opacity: 70%;
    font-size: 16px;
}

.room-reservation-form-container .form-container form .additional-info-container
 .input {
    height: 40px;
    width: 100%;
    border: none;
    border-bottom: 3px solid black;
    color: black;
    font-size: 20px;
    padding: 5px;
    margin-bottom: 20px;
}

.room-reservation-form-container .form-container form .additional-info-container
 .required-equipment-input textarea {
    height: 80px;
    width: 100%;
    border: none;
    border-bottom: 3px solid black;
    color: black;
    font-size: 20px;
    padding: 5px;
}

.room-reservation-form-container .form-container form .additional-info-container
 .checkbox {
    width: 100%;
    display: flex;
    margin-bottom: 15px;
}

.room-reservation-form-container .form-container form .additional-info-container
 .checkbox p {
    margin: 0;
    margin-right: 15px;
}

.room-reservation-form-container .form-container form .additional-info-container
 .checkbox input {
    margin: 0;
    width: 30px;
    height: 30px
}

.room-reservation-form-container .form-container form .additional-info-container
 .attendees-input {
    display: flex;
    flex-direction: column;
}

.room-reservation-form-container .form-container form .additional-info-container
 .attendees-input input {
    width: 150px;
}

.room-reservation-form-container .form-container form .additional-info-container
 .other-needs-input textarea {
    height: 80px;
    width: 100%;
    border: none;
    border-bottom: 3px solid black;
    color: black;
    font-size: 20px;
    padding: 5px;
}





.room-reservation-form-container .form-container form .main-church-container {
    width: 100%;
    margin: auto;
    margin-top: 35px;
}

.room-reservation-form-container .form-container form .main-church-container 
 .row {
    display: flex;
}

.room-reservation-form-container .form-container form .main-church-container
 label {
    float: left;
    text-align: left;
    opacity: 70%;
    font-size: 16px;
}

.room-reservation-form-container .form-container form .main-church-container
 .input {
    height: 40px;
    width: 100%;
    border: none;
    border-bottom: 3px solid black;
    color: black;
    font-size: 20px;
    padding: 5px;
    margin-bottom: 20px;
}

.room-reservation-form-container .form-container form .main-church-container
 .celebrant-name-input {
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
    width: 50%;
    margin-left: auto;
    margin-right: auto;
 }

.room-reservation-form-container .form-container form .main-church-container
 .celebrant-name-input .input {
    width: 90%;
}

.room-reservation-form-container .form-container form .main-church-container
 .celebrant-name-input .input label{
    float: left;
    text-align: left;
    opacity: 70%;
    font-size: 16px;
}

.room-reservation-form-container .form-container form .main-church-container
 .language-container {
    margin: 0;
    margin-bottom: 15px;
    margin-left: auto;
    margin-right: auto;
    width: 50%;
}

.room-reservation-form-container .form-container form .main-church-container
 .language-container .language-dropdown {
    margin: 0;
    margin-top: 5px;
    margin-bottom: 15px;
    width: 90%;
}

.room-reservation-form-container .form-container form .main-church-container
 .language-dropdown-container .other-language-input {
    display: flex;
    flex-direction: column;
}

.room-reservation-form-container .form-container form .main-church-container
.language-dropdown-container .other-language-input .input {
    width: 45%;
}

.room-reservation-form-container .form-container form .main-church-container
 .altar-servers-amount-input {
    display: flex;
    flex-direction: column;
    margin-top: 0px;
    margin-bottom: 5px;
}

.room-reservation-form-container .form-container form .main-church-container
 .altar-servers-amount-input .input {
    width: 150px;
}

.room-reservation-form-container .form-container form .main-church-container
 .checkbox {
    width: 100%;
    display: flex;
    margin-bottom: 15px;
}

.room-reservation-form-container .form-container form .main-church-container
 .checkbox p {
    margin: 0;
    margin-right: 15px;
}

.room-reservation-form-container .form-container form .main-church-container
 .checkbox input {
    margin: 0;
    width: 30px;
    height: 30px
}

.room-reservation-form-container .form-container form .terms-and-conditions {
    display: flex;
    padding-top: 40px;
    padding-left: 20px;
}

.room-reservation-form-container .form-container form .terms-and-conditions p {
    width: 90%;
    margin: 0;
    padding: 0;
    text-align: left;
}

.room-reservation-form-container .form-container form .terms-and-conditions input {
    margin: 0;
    width: 30px;
    height: 30px
}

.room-reservation-form-container .form-container form .submit-btn {
    color: white;
    background-color: #B71A1A;
    width: 120px;
    height: 50px;
    margin: auto;
    border-radius: 10px;
    cursor: pointer;
    font-size: 20px;
    font-weight: 600;
    box-shadow: 2px 2px 3px lightgray;
    border: none;
    margin-top: 30px;
}

.room-reservation-form-container .back-arrow-container {
    cursor: pointer;
    text-align: left;
    padding-left: 15px;
}

.room-reservation-form-container .back-arrow-container .back-arrow {
    font-size: 30px;
}

.room-reservation-form-container .error-popup {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    box-shadow: 4px 4px 5px rgb(103, 103, 103);
    width: 400px;
    height: 230px;
    border-radius: 6px;
    z-index: 2;
}

.room-reservation-form-container .error-popup .x {
    color: red;
    width: 50px;
    height: 50px;
    margin: 20px auto 0 auto;
}

.room-reservation-form-container .error-popup .check {
    color: green;
    width: 50px;
    height: 50px;
    margin: 20px auto 0 auto;
}

.room-reservation-form-container .error-popup h6 {
    font-size: 17px;
    font-weight: 200 !important;
    height: 30px;
    width: 50px;
    background-color: #B71A1A;
    color: white;
    border: none;
    border-radius: 5px;
    position: absolute;
    bottom: 40px;
    place-self: center;
    place-content: center;
    margin: auto;
    cursor: pointer;
}

.room-reservation-form-container .error-popup h6:hover {
    background-color: #a30d0d;
}

.room-reservation-form-container .error-overlay{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgb(0, 0, 0);
    opacity: 25%;
    width: 100vw;
    height: 100dvh;
}

.room-reservation-form-container .loader {
    margin: auto;
    margin-top: 50px;
    width: 50px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: 
      radial-gradient(farthest-side,#FBBF24 94%,#0000) top/8px 8px no-repeat,
      conic-gradient(#0000 30%,#FBBF24);
    -webkit-mask: radial-gradient(farthest-side,#0000 calc(100% - 8px),#000 0);
    mask: radial-gradient(farthest-side, #0000 calc(100% - 8px), #000 0);
    animation: l13 1s infinite linear;
  }
  @keyframes l13{ 
    100%{transform: rotate(1turn)}
  }.dropdown-container {
    width: 270px;
    max-width: 95%;
    position: relative;
    margin: 0;
    padding: 0;
    
}

.dropdown-container .dropdown-input-container {
    border: black solid 2px;
    height: 50px;
    width: 100%;
    border-radius: 6px;
    text-align: left;
    cursor: pointer;
    place-content: center;
    background-color: #F5F5F5;
}

.dropdown-container .dropdown-input-container .dropdown-input {
    display: flex;
}

.dropdown-container .dropdown-input-container p {
    padding-left: 25px;
    font-size: 20px;
    margin: 0;
    place-content: center;
    margin-right: auto;
}

.dropdown-container .dropdown-input-container .dropdown-input .dropdown-arrow {
    font-size: 40px;
}

.dropdown-container .dropdown-list {
    border: black solid 2px;
    width: 100%;
    border-radius: 6px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-top: none;
    margin-top: -5px;
    text-align: left;
    cursor: pointer;
    position: absolute;
    background-color: #F5F5F5;
    opacity: 100%;
    z-index: 2;
}

.dropdown-container .dropdown-list p {
    padding-left: 25px;
    border-top: 1px solid black;
    padding-top: 11px;
    padding-bottom: 11px;
    margin: 0;
    font-size: 20px;
}.custom-date-picker-container {
    display: flex;
    flex-direction: column;
    text-align: center;
    position: relative;
    margin-right: 5px;
}

.custom-date-picker-container .custom-date-picker {
    width: 100%;
    height: 40px;
    border: none;
    border-bottom: black solid 3px;
    background-color: #F9F9F9;
    display: flex;
    flex-direction: row;
}

.custom-date-picker-container .custom-date-picker input {
    width: 75%;
    background-color: #F9F9F9;
    border: none;
    color: black;
    font-size: 20px;
}

.custom-date-picker-container .custom-date-picker .icon-container {
    width: 30px;
    height: 30px; 
    margin: auto;
    cursor: pointer;
    border-radius: 100%;
    transition: .1s box-shadow;
}

.custom-date-picker-container .custom-date-picker .icon-container:hover {
    box-shadow: 0 0 0px 5px rgb(208, 208, 208);
}

.custom-date-picker-container .custom-date-picker .icon-container:active {
    box-shadow: 0 0 0px 5px rgb(164, 164, 164);
}

.custom-date-picker-container .custom-date-picker .icon-container .icon {
    width: 100%;
    height: 100%; 
    padding: 0;
    margin: 0;
}

.custom-date-picker-container .imported-date-picker {
    padding: 0;
    margin: 0;
    position: absolute;
    z-index: 100000;
    background-color: white;
    border: lightgray solid 1px;
    height: 290px;
    width: 330px;
    margin-top: 45px;
    place-content: center;
    place-self: center;
}

.date-picker-overlay {
    position: absolute; 
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(206, 232, 241);
    z-index: 100;
}.copyright-text {
    opacity: 70%;
    font-size: 12px;
    font-weight: 100;
    display: block;
    position: absolute;
    left: 15px;
    bottom: 0;
}.logo {
    position: absolute;
    left: 12px;
    top: 12px;
    cursor: pointer;
    width: 75px;
    height: 70px;
}.translation-btn-container {
    color: #F57547;
    position: absolute;
    right: 0;
    top: 0;
    user-select: none;
    margin-top: 12px;
    margin-right: 12px;
}

.translation-btn-container .translation-btn .row:hover {
    transition: .1s color;
    color: #d85b2d;
}

.translation-btn-container .translation-btn .row {
    display: flex;
    flex-direction: row;
    place-items: center;
    margin: auto;
    cursor: pointer;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
    line-height: 0;
}

.translation-btn-container .translation-btn .row:last-child {
    line-height: 10px;
    border-top: 1px solid lightgray;
}

.translation-btn-container .translation-btn p {
    font-size: 15px;
    padding-left: 10px;
}

.translation-btn-container .translation-btn .language-icon {
    font-size: 20px;
}

.translation-btn-container .translation-btn .drop-down-icon {
    font-size: 30px;
}

.translation-btn-container .translation-btn .drop-up-icon {
    font-size: 30px;
}